<?php

include_once "phplib/db-article.php";
include_once "phplib/common.php";

html_header();

print("<h1 align='center'>Newsd - NNTP News Server</h1>");

print("<p><table width='100%' height='100%' border='0' cellpadding='0' "
     ."cellspacing='0'>\n"
     ."<tr><td valign='top' width='30%'>");

html_start_table(array("Quick Info"), "100%", "100%");
html_start_row();
print("<td>"
     ."<p align='center'>"
     ."Stable Release: <i>Pending</i><br />"
     ."Test Release: <a href='software.php?1.44rc2'>v1.44rc2</a></p>\n"
     ."<p>Newsd is a standalone local NNTP news server for private "
     ."newsgroup serving on a single server.  It is useful for "
     ."serving private newsgroup(s) to an intranet or the Internet "
     ."and can act as a simple mail gateway, however it does not "
     ."interface with other news servers and cannot manage "
     ."distributed news feeds, i.e. Usenet news.</p>\n"
     ."<p>Newsd is available under the terms of the GNU General Public "
     ."License. The Newsd source code should compile on any POSIX-"
     ."compliant operating system. Binaries are provided for Linux "
     ."and MacOS X.</p>\n"
     ."</td>");
html_end_row();
html_end_table();

print("</td><td>&nbsp;&nbsp;&nbsp;&nbsp;</td>"
     ."<td valign='top' width='70%'>"
     ."<h2>Recent Articles [&nbsp;<a href='articles.php'>Show&nbsp;All</a>"
     ."&nbsp;]</h2>\n");

$article = new article();
$matches = $article->search("", "-modify_date", "!FAQ", 1);
$count   = sizeof($matches);
if ($count > 4)
  $count = 4;

if ($count == 0)
  print("<p>No articles found.</p>\n");
else
{
  for ($i = 0; $i < $count; $i ++)
  {
    $id = $matches[$i];

    $article->load($id);

    $title       = htmlspecialchars($article->title);
    $abstract    = html_format($article->abstract);
    $create_user = sanitize_email($article->create_user);
    $date        = date("H:i M d, Y", $article->modify_date);
    $ccount      = count_comments("articles.php_L$id");

    if ($ccount == 1)
      $ccount .= " comment";
    else
      $ccount .= " comments";

    print("<h3><a href='articles.php?L$id'>$title</a></h3>\n"
         ."<p><i>$date by $create_user, $ccount</i><br />$abstract [&nbsp;"
	 ."<a href='articles.php?L$id'>Read</a>&nbsp;]</p>\n");
  }
}

db_free($result);

print("<p>[&nbsp;"
     ."<a type='application/rss+xml' href='index.rss''>RSS&nbsp;Feed</a>"
     ."&nbsp;]</p>");

print("</td></tr>\n"
     ."</table></p>\n");

html_footer();

//
// End of "$Id: index.php 42 2004-11-02 19:04:41Z mike $".
//
?>
